/* NES 2025 stylesheet */

/* Scrollbars
--------------------------------------------- */
html {
    scrollbar-width: none;
}

body {
    -ms-overflow-style: none;
}

body::-webkit-scrollbar {
    display: none;
}

/* Selection Highlight
--------------------------------------------- */
::-moz-selection {
    /* Code for Firefox */
    color: var(--Black);
    background: #a07857
}

::selection {
    color: var(--Black);
    background: #a07857
}

/*--------------------------------------------------------------
# Utilities
--------------------------------------------------------------*/
img,
svg {
    max-width: 100%;
    height: auto;
}

/* Accessibility
--------------------------------------------- */

/* Text meant only for screen readers. */
.screen-reader-text {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute !important;
    width: 1px;
    word-wrap: normal !important;
}

.screen-reader-text:focus {
    background-color: #f1f1f1;
    border-radius: 3px;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
    clip: auto !important;
    clip-path: none;
    color: #21759b;
    display: block;
    font-size: 0.875rem;
    font-weight: 700;
    height: auto;
    left: 5px;
    line-height: normal;
    padding: 15px 23px 14px;
    text-decoration: none;
    top: 5px;
    width: auto;
    z-index: 100000;
}

/* Root
--------------------------------------------- */
:root {
    --pagePadding: 1.5rem 0.75rem;
    --headerPadding: 1.5rem 0;
    --Black: #000;
    --White: #FFF;
    --Biege: #a07857;
    --Dark: #231f1f;
    --fontSize: 1.2rem;
}

.text-md {
    font-size: 170%;
}

#leaflet-map {
    height: 180px;
    margin-top: 3rem;
    margin-left: -1.5rem;
    width: calc(100% + 3rem);
    background-color: var(--Biege);
    border-top: 1px solid var(--Black);
    position: relative;
}

.leaflet-container .leaflet-control-attribution {
    transform: rotate(90deg);
    transform-origin: top right;
    position: relative;
    white-space: nowrap;
}

h2.site-title {
    font-size: 220%;
}

@media only screen and (min-width:992px) and (orientation:landscape) {
    :root {
        --pagePadding: 1.5rem 3rem;
        --headerPadding: 1.5rem 1.5rem;
        --fontSize: 1.4rem;
    }

    p:not(.text-md) {
        line-height: 1.5;
    }

    .text-md {
        font-size: 160%;
    }

    .blockquote {
        max-width: 280px;
    }

    h2.site-title {
        font-size: 220%;
    }

    .row > div:first-child {
        padding-right: 5rem;
    }

    #leaflet-map {
        border-left: 1px solid var(--Black);

        margin-left: -0.75rem;
        width: calc(100% + 4.5rem);
    }
}



/* Typography
--------------------------------------------- */

.geologica {
    font-family: "Geologica", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-variation-settings:
        "slnt" 0,
        "CRSV" 0,
        "SHRP" 0;
}

.geologica-300 {
    font-weight: 300 !important;
}

.geologica-200 {
    font-weight: 200 !important;
}

.source-serif-4 {
    font-family: "Source Serif 4", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.source-serif-4-light {
    font-family: "Source Serif 4", serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
}

body {
    line-height: 1.2;
    font-size: var(--fontSize);
    width: 100%;
    overflow-x: hidden;
}


.white {
    color: var(--White);
}

.black {
    color: var(--Black);
}

.bg-white {
    background-color: var(--White);
}

.bg-black {
    background-color: var(--Black);
}

.bg-biege {
    background-color: var(--Biege);
}

.bg-gray {
    background-color: var(--Dark);
}



strong,
b {
    font-weight: 500;
}




/* Buttons
--------------------------------------------- */
.nes-btn {
    font-size: 1.2rem;
    border: 1px solid var(--Black);
    border-radius: 1rem;
    padding: .5rem 1rem;
    margin: 1.5rem 0;
    white-space: nowrap;
    background-color: rgba(255, 255, 255, 0.15);
    transition: 250ms ease-in-out;
}

.nes-btn.white {
    border-color: var(--White);
    background-color: rgba(0, 0, 0, 0.15);
}

.nes-btn.transparent {
    border-color: var(--White);
    background-color: transparent;
}

.nes-btn:hover {
    background-color: rgba(255, 255, 255, 0.95);
}

.nes-btn.white:hover {
    background-color: rgba(0, 0, 0, 0.95);
    border-color: var(--Black);
}

.nes-btn.tickets-btn {
    border: none;
    margin-bottom: 5rem;
}

/* Links
--------------------------------------------- */
a,
a:visited {
    text-decoration: none;
    color: var(--Black);
    pointer-events: auto;
    transition: 250ms ease-in-out;
}

.white a,
a.white {
    color: var(--White);
}

/* Layout
--------------------------------------------- */
#a {
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 0;
    top: 0;
    left: 0;
}

.site {
    display: flex;
    flex-direction: column;
    width: 100%;
    position: relative;
    z-index: 1;
}

.site-header {
    padding: var(--headerPadding);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100;
    pointer-events: none;
}

.site-branding {
    max-width: 300px;
    padding-left: 1rem
}

.section {
    display: flex;
    flex-direction: column;
    width: 100%;
    min-height: 60vh;
    padding: var(--pagePadding);
    position: relative;
}

.section-hero {
    min-height: 100vh;
    width: 100%;
    overflow: hidden;
}

.section-hero img {
    filter: saturate(1.1)
}

.section.section-auto {
    min-height: 1px !important;
    padding-top: 5rem;
}

.section-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: -1;
    background-color: var(--Black)
}

.section.section-hero .section-image img {
    object-position: center center;
}

.section-image > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.85;
}

.bg-anima {
    background-color: transparent;
}

.ani {
    position: absolute;
    z-index: 100;
    width: 100px;
    left: 35%;
    top: 70%;
    opacity: .475;
}


.bg-anima > img {
    opacity: .75;
    filter: contrast(1.1);
    object-position: bottom left;
}

@media screen and (min-width:992px) {
    .ani {
        left: 25%;
    }

    .bg-anima > img {
        object-position: bottom center;
    }
}

.image-layer {
    position: absolute;
    top: 0;
    left: 0;
    width: 70%;
    height: 60vh;
    overflow: hidden;
    z-index: 3;
    background-color: var(--Black)
}

.image-layer img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.75
}

.site-footer {
    font-size: 1rem !important;
}

.site-footer .container-fluid {
    padding: var(--pagePadding);
}

.site-copy {
    font-size: 12px !important;
}

.site-footer a:hover {
    color: var(--White);
}

.nes-logo {
    margin-top: 1rem;
    max-width: 240px;
}

/* Social Icons */
.site-social {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
}

.site-social li {
    margin: 10px;
    width: 30px;
    height: 30px;
}

.site-social li a,
.site-social li a:visited {
    color: var(--White);
}

.site-social li a:hover {
    color: var(--Biege);
}

.site-social li.whf {
    width: 32px;
    height: 32px;
}

.site-social li.whf svg {
    filter: grayscale(1) invert(1) contrast(1.5) brightness(1.5);
    transition: filter 250ms ease-in-out;
}

.site-social li.whf:hover svg {
    filter: none;
}

@media only screen and (min-width: 992px) and (orientation:landscape) {
    .site-branding {
        max-width: 300px;
    }

    .nes-btn {
        font-size: 1rem;
    }

    .section-8::before {
        content: '';
        position: absolute;
        top: 0;
        left: 50%;
        padding-top: 65vh;
        border-left: 1px solid var(--Black);
        z-index: 1000;
    }

    .section-8::after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        width: 50vw;
        border-bottom: 1px solid var(--Black);
        z-index: 1000;
    }

    .nes-btn.tickets-btn {
        border: none;
        margin-bottom: 1.5rem;
    }

    .section {
        min-height: 100vh;
    }


}